uses
	testlib, SysUtils;

var
	n, limit, steps: longint;
	pestring: string;

begin
	n := inf.readlongint;
	limit := inf.readlongint;
	steps := ouf.readlongint;

	if (steps < 0) then begin
		ouf.nextline;
		pestring := ouf.readstring;
		quit(_pe, 'Unexpected request: ' + pestring);
	end;

	if (steps > limit) then
		quit(_wa, 'Too many steps: ' + inttostr(steps) + ' > ' + inttostr(limit));

	quit(_ok, 'n = ' + inttostr(n) + ', ' + inttostr(steps) + ' of ' + inttostr(limit) + ' steps');
end.